<?php
require_once('includes/conecta.php');

 if ($_GET['logo'] == 1) { 


$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";


//$destino = 'images/usuarios/' . $usuario_up_id . $gerapixel . $nome;
// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['logo']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;



// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['logo']['tmp_name'], "images/logos/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE config SET 
        logo='$logo_nome'
        WHERE id= 1";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
  //echo "Dados atualizados com sucesso!";
} else {
  echo "Erro ao atualizar dados: " . $conn->error;
}

// Redireciona o usuário para a página de destino
header('Location: configuracoes.php?imagem=ok');
exit;

// fechando a conexão com o banco de dados
$conn->close();

 }  


//<!-- LOGO SECUNDÁRIO -->
 if ($_GET['logo'] == 2) { 


$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";

// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['logo_secundario']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;



// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['logo_secundario']['tmp_name'], "images/logos/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE config SET 
        logo_secundario='$logo_nome'
        WHERE id= 1";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
  //echo "Dados atualizados com sucesso!";
} else {
  echo "Erro ao atualizar dados: " . $conn->error;
}

// Redireciona o usuário para a página de destino
header('Location: configuracoes.php?imagem=ok');
exit;

// fechando a conexão com o banco de dados
$conn->close();

 }  


//<!-- LOGO FAVICON -->
 if ($_GET['logo'] == 3) { 

$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";

// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['favicon']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;



// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['favicon']['tmp_name'], "images/logos/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE config SET 
        favicon='$logo_nome'
        WHERE id= 1";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
  //echo "Dados atualizados com sucesso!";
} else {
  echo "Erro ao atualizar dados: " . $conn->error;
}

// Redireciona o usuário para a página de destino
header('Location: configuracoes.php?imagem=ok');
exit;

// fechando a conexão com o banco de dados
$conn->close();

 }  



//<!-- IMAGEM TOPO -->
 if ($_GET['imgtopo'] == 4) { 

$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";

// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['img_topo']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;



// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['img_topo']['tmp_name'], "images/logos/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE config SET 
        img_topo='$logo_nome'
        WHERE id= 1";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
  ////echo "Dados atualizados com sucesso!";
} else {
  //echo "Erro ao atualizar dados: " . $conn->error;
}

// Redireciona o usuário para a página de destino
header('Location: configuracoes.php?imagem=ok');
exit;

// fechando a conexão com o banco de dados
$conn->close();

 }  



//<!-- IMAGEM HOME1 -->
 if ($_GET['imghome1'] == 5) { 

$data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
$hash = hash('md5', $data); // Gerar um hash MD5 da data


$gerapixel = "_pixel_imagem_" . $hash . "";

// obtendo o nome do arquivo de imagem enviado
$logo_nome = $gerapixel . $_FILES['img_home1']['name'];

$extensao = pathinfo($logo_nome, PATHINFO_EXTENSION);
$logo_nome = pathinfo($logo_nome, PATHINFO_FILENAME);
$logo_nome = preg_replace('/[^A-Za-z0-9\-]/', '', $logo_nome);
$logo_nome = preg_replace('/[\-]+/', '-', $logo_nome);
$logo_nome = str_replace(' ', '-', $logo_nome);
$logo_nome = strtolower($logo_nome);
$logo_nome .= '.' . $extensao;



// movendo a imagem para a pasta de upload
move_uploaded_file($_FILES['img_home1']['tmp_name'], "images/logos/" . $logo_nome);

// criando a query SQL para atualizar os dados na tabela
$sql = "UPDATE config SET 
        img_home1='$logo_nome'
        WHERE id= 1";

// executando a query SQL
if ($conn->query($sql) === TRUE) {
  ////echo "Dados atualizados com sucesso!";
} else {
  //echo "Erro ao atualizar dados: " . $conn->error;
}

// Redireciona o usuário para a página de destino
header('Location: configuracoes.php?imagem=ok');
exit;

// fechando a conexão com o banco de dados
$conn->close();

 }